package com.saye.hospitalgd.service;

import java.util.HashMap;
import java.util.List;

public interface HisDetailService {

    List<HashMap<Object, Object>> findHisDetail(HashMap<Object, Object> map) throws Exception;

    long findHisDetailCount(HashMap<Object, Object> map) throws Exception;

    void insertHisBillOriginal(List<HashMap<Object, Object>> list, String trade_date, String his_wsdl_id) throws Exception;

    void insertHisBillOriginalWN(List<HashMap<Object, Object>> list, String trade_date, String his_wsdl_id) throws Exception;

    void insertHisBillOriginalHY(List<HashMap<Object, Object>> list, String trade_date, String his_wsdl_id) throws Exception;

    void insertHisBillList(List<HashMap<Object, Object>> list,String trade_date,String his_wsdl_id) throws Exception;

    void findHisDetailToTemp(HashMap<Object, Object> map) throws Exception;

    void deleteTempTable() throws Exception;

    List<HashMap<Object, Object>> findHisDetailByParam(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findHisDetailByTimeAndYSDDH(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findHisDetailFirmNumByTime(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findHisCashDetail(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findHisDetailCountData(HashMap<Object, Object> map) throws Exception;
}
